Skip to main content
GET
List a connected app's tools

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

accountId
string
required

Connected account id (cna_…)

Query Parameters

query
string

Only tools whose name, title or description contains this text

Maximum string length: 200
limit
integer

Page size, 1–200 (default 50)

Required range: 1 <= x <= 200
cursor
string

next_cursor from the previous page

Maximum string length: 200

Response

Tools

account_id
string
tools
object[]
next_cursor
string | null
refreshed_at
string<date-time> | null